/*!
 * (C) Gasco https://gasco-web-component.herokuapp.com/ - MIT License
 */
import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const gascoDialogHeaderMdCss = ":host{--background:transparent;--color:inherit;display:flex;justify-content:space-between;align-items:center;position:relative;background:var(--background);color:var(--color)}:host{padding-left:16px;padding-right:16px;padding-top:16px;padding-bottom:16px}@supports (margin-inline-start: 0) or (-webkit-margin-start: 0){:host{padding-left:unset;padding-right:unset;-webkit-padding-start:16px;padding-inline-start:16px;-webkit-padding-end:16px;padding-inline-end:16px}}::slotted(gasco-dialog-title:not(:first-child)){margin-top:8px}";

const GascoDialogHeader$1 = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
    /**
     * If `true`, the dialog header will be translucent.
     */
    this.translucent = false;
  }
  render() {
    return (h(Host, { class: {
        'dialog-header-translucent': this.translucent,
        'gasco-inherit-color': true,
      } }, h("slot", null)));
  }
  static get style() { return gascoDialogHeaderMdCss; }
}, [1, "gasco-dialog-header", {
    "translucent": [4]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["gasco-dialog-header"];
  components.forEach(tagName => { switch (tagName) {
    case "gasco-dialog-header":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, GascoDialogHeader$1);
      }
      break;
  } });
}

const GascoDialogHeader = GascoDialogHeader$1;
const defineCustomElement = defineCustomElement$1;

export { GascoDialogHeader, defineCustomElement };
